# Interface methods for submodule: LabelOverlapMeasuresImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSinkProxy as _ImageSinkProxy


# Interface methods for class: LabelOverlapMeasuresImageFilter
class LabelOverlapMeasuresImageFilterProxy(_ImageSinkProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetTargetImage(self, _arg) -> None:
		""""""
		...

	def GetTargetImage(self):
		""""""
		...

	def SetSourceImage(self, _arg) -> None:
		""""""
		...

	def GetSourceImage(self):
		""""""
		...

	def GetLabelSetMeasures(self):
		""""""
		...

	def GetTotalOverlap(self) -> float:
		""""""
		...

	def GetTargetOverlap(self, arg0: int) -> float:
		""""""
		...

	@overload
	def GetUnionOverlap(self) -> float:
		""""""
		...

	@overload
	def GetUnionOverlap(self, arg0: int) -> float:
		""""""
		...

	@overload
	def GetJaccardCoefficient(self) -> float:
		""""""
		...

	@overload
	def GetJaccardCoefficient(self, label: int) -> float:
		""""""
		...

	@overload
	def GetMeanOverlap(self) -> float:
		""""""
		...

	@overload
	def GetMeanOverlap(self, arg0: int) -> float:
		""""""
		...

	@overload
	def GetDiceCoefficient(self) -> float:
		""""""
		...

	@overload
	def GetDiceCoefficient(self, label: int) -> float:
		""""""
		...

	@overload
	def GetVolumeSimilarity(self) -> float:
		""""""
		...

	@overload
	def GetVolumeSimilarity(self, arg0: int) -> float:
		""""""
		...

	@overload
	def GetFalseNegativeError(self) -> float:
		""""""
		...

	@overload
	def GetFalseNegativeError(self, arg0: int) -> float:
		""""""
		...

	@overload
	def GetFalsePositiveError(self) -> float:
		""""""
		...

	@overload
	def GetFalsePositiveError(self, arg0: int) -> float:
		""""""
		...

	@overload
	def GetFalseDiscoveryRate(self) -> float:
		""""""
		...

	@overload
	def GetFalseDiscoveryRate(self, arg0: int) -> float:
		""""""
		...

